datacache <- new.env(hash=TRUE, parent=emptyenv())

rgu34b <- function() showQCData("rgu34b", datacache)
rgu34b_dbconn <- function() dbconn(datacache)
rgu34b_dbfile <- function() dbfile(datacache)
rgu34b_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rgu34b_dbInfo <- function() dbInfo(datacache)

rgu34bORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rgu34b.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.RATCHIP_DB("rgu34b", "chip rgu34b", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rgu34b_dbconn())
}

